<?php

namespace App\Http\Controllers\Admin;

use App\Models\Driver;
use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class AuthController extends Controller
{
    public function login_view()
    {
        if(Auth::guard('admin')->user())
        {
            return redirect('en/admin/dashboard');
        }

        return view('admin.login.login');
    }

    public function login(Request $request)
    {
        if(Auth::guard('admin')->attempt(['email' => $request->email, 'password' => $request->password], false))
        {
//            $drivers = Driver::get();
//            foreach ($drivers as $driver){
//                $from = Carbon::parse($driver->reset_at);
//                $to = Carbon::parse(Carbon::now());
//                $diff_in_days = $to->diffInDays($from);
//                if ($diff_in_days == 7){
//                    $trips_sum = $driver->trips->where('created_at','>',$from)->sum('total');
//                    $percent = ($trips_sum*14)/100;
//                    $driver->app_fees += number_format((float)$percent, 2, '.', '');
//                    $driver->save();
//                }
//            }
            return redirect('en/admin/dashboard');
        }else{
            return back()->with('error', 'Invalid Credentials');
        }
    }

    public function logout()
    {
        Auth::guard('admin')->logout();
        return redirect()->route('login');
//        return view('admin.login.login');
    }
}
