<?php

namespace App\Http\Controllers\Admin;

use App\Models\CarTranslation;
use App\Models\City;
use App\Models\PartnerRequest;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Country;
use App\Models\Car;
class PartnerRequestController extends Controller
{
    public function index(){
        
      $partners=PartnerRequest::orderBy('id','desc')->get();

      return view('admin.partner_requests.index',compact('partners'));
      
    }

    public function delete(Request $request,$id){
        PartnerRequest::destroy($id);
        return redirect()->back()->with('success','Deleted Successfully');
    }

    public function editRequestStatus(Request $request)
    {
        $cat=PartnerRequest::where("id",$request->partner_id)->first();
        if($cat->accept == 1){
            PartnerRequest::where("id",$request->partner_id)
                ->update(["accept" => 0 ]);
        }else{
            PartnerRequest::where("id",$request->partner_id)
                ->update(["accept" => 1 ]);
        }
        session()->flash('insert_message','تمت العملية بنجاح');
        return back();
    }

    
}