<?php
/**
 * Created by PhpStorm.
 * User: Al Mohands
 * Date: 09/09/2019
 * Time: 02:24 م
 */

namespace App\Http\Controllers\Interface_directory\Api\Driver;


interface TripRepositoryInterface
{
    public function tripActiveRequest($trip_id,$driver_id,$type);
    public function acceptTrip($attributes);
    public function cancelTrip($attributes,$lang);
    public function cancelAfterAccept($attributes,$lang);
    public function arrive($attributes,$lang);
    public function updateAvailability($attributes);
    public function updateGoHome($attributes);
    public function tripHistory($attributes);
    public function endTrip($attributes,$lang);
}
