               @extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('country.services')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('country.country')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                      
                <form class="form-horizontal" method="post" action="{{route('countries.update',$country->id)}}">
                    {{csrf_field()}}
                    @method('patch')
                    <div class="modal-body">
                
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('country.Code')}}</label>
                            <div class="col-lg-12">
                                <input name="code" value="{{$country->code}}" type="text" placeholder="{{trans('country.Code')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('country.Name')}}</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" value="{{$country->getTranslation('en')->name}}" type="text" placeholder="{{trans('country.Name')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                         <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('country.NameInArabic')}}</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" value="{{$country->getTranslation('ar')->name}}" type="text" placeholder="{{trans('country.NameInArabic')}}" class="form-control btn-square" required>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">{{trans('country.close')}}</button>
                        <button class="btn btn-primary">{{trans('country.save')}}</button>
                    </div>
                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

               
@endsection
