@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('driver.showprofile')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('driver.driver')}}</li>
                                <li class="breadcrumb-item active">{{trans('driver.showprofile')}}</li>
                            </ol>
                        </div>
                    </div>
                    <!-- Bookmark Start-->
                    {{--<div class="col">--}}
                        {{--<div class="bookmark pull-right">--}}
                            {{--<ul>--}}
                                {{--<li><a href="edit-profile.html#" data-container="body" data-toggle="popover" data-placement="top" title="" data-original-title="Calendar"><i data-feather="calendar"></i></a></li>--}}
                                {{--<li><a href="edit-profile.html#" data-container="body" data-toggle="popover" data-placement="top" title="" data-original-title="Mail"><i data-feather="mail"></i></a></li>--}}
                                {{--<li><a href="edit-profile.html#" data-container="body" data-toggle="popover" data-placement="top" title="" data-original-title="Chat"><i data-feather="message-square"></i></a></li>--}}
                                {{--<li><a href="edit-profile.html#"><i class="bookmark-search" data-feather="star"></i></a>--}}
                                    {{--<form class="form-inline search-form">--}}
                                        {{--<div class="form-group form-control-search">--}}
                                            {{--<input type="text" placeholder="Search..">--}}
                                        {{--</div>--}}
                                    {{--</form>--}}
                                {{--</li>--}}
                            {{--</ul>--}}
                        {{--</div>asd--}}
                    {{--</div>--}}
                    <!-- Bookmark Ends-->
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="edit-profile">
                <div class="row">
                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('driver.myprofile')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                <form>
                                    <div class="row mb-2">
                                        <div class="col-auto"><img class="img-fluid image-radius " src="{{$driver->image}}"></div>
                                    </div>
                                    <br>
                                    <div class="form-group">
                                        <label class="form-label">#</label>
                                        <span class="form-control">{{$driver->id}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.email')}}</label>
                                        <span class="form-control" style="font-size: 15px">{{$driver->email}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.phone')}}</label>
                                        <span class="form-control">{{$driver->phone}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.app_fees')}}</label>
                                        <span class="form-control border border-danger">{{$driver->app_fees}}</span>
                                    </div>
                                    <div class="form-group">
                                        <a href="{{route('collect.fees',['driver_id' => $driver->id])}}" style="{{$driver->app_fees > 0 ? '' : 'pointer-events: none;'}}" class="should btn btn-success"> {{trans('driver.collect')}} <i class="fa fa-money"></i> </a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('driver.Profile')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.name')}}</label>
                                        <span class="form-control">{{$driver->name}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.car')}}</label>
                                            <span class="form-control">{{isset($driver->car->translation) ? $driver->car->translation->name : ''}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.carmodel')}}</label>
                                        <span class="form-control">{{isset($driver->driverCar) ? $driver->driverCar->model : ''}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.carcolor')}}</label>
                                        <span class="form-control">{{isset($driver->driverCar) ? $driver->driverCar->color : ''}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.PlatNumber')}}</label>
                                        <span class="form-control">{{isset($driver->driverCar) ? $driver->driverCar->plat_number : ''}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">{{trans('driver.rate')}}</label>
                                        <div class="placeholder" style="color: lightgray;">
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <span class="small">({{ $driver->rate }})</span>
                                        </div>

                                        <div class="overlay" style="position: relative;top: -22px;">

                                            @while($driver->rate>0)
                                                @if($driver->rate >0.5)
                                                    <i class="fa fa-star" style="color: #ffa800"></i>
                                                @else
                                                    <i class="fa fa-star-half" style="color: #ffa800"></i>
                                                @endif
                                                @php $driver->rate--; @endphp
                                            @endwhile

                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>


                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('driver.moreinfo')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                <div class="form-group">
                                    <label class="form-label">{{trans('driver.status')}}</label>
                                    @if($driver->status == 1)
                                        <span class="form-control font font-danger">{{trans('driver.Busy')}}</span>
                                    @else
                                        <span class="form-control font font-success">{{trans('driver.notBusy')}}</span>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('driver.availability')}}</label>
                                    @if($driver->available == 1)
                                        <span class="form-control font font-success">{{trans('driver.online')}}</span>
                                    @else
                                        <span class="form-control font font-danger">{{trans('driver.offline')}}</span>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('driver.registration')}}</label>
                                    <span class="form-control text-center">{{$driver->created_at->diffForHumans()}}</span>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('driver.orders')}}</label>
                                    <span class="btn btn-dark">{{$driver->trips->count()}}</span>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('driver.accepted_trips')}}</label>
                                    <span class="btn btn-dark">{{$driver->count_accepted_trips?: 0}}</span>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('driver.rejected_before_trips')}}</label>
                                    <span class="btn btn-dark">{{$driver->count[2]?: 0}}</span>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('driver.rejected_after_trips')}}</label>
                                    <span class="btn btn-dark">{{$driver->count[3]?: 0}}</span>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">{{trans('trip.Total')}}</label>
                                    <span class="btn btn-dark">{{$driver->trips->sum('total')}}</span>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('driver.settings')}}</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                @if(admin()->hasPermissionTo('Edit driver'))
                                <div class="form-group">
                                    <div class="col-md-6 col-xs-6">
                                        <a href="{{route('driver.edit',$driver->id)}}"><button class="btn btn-dark">{{trans('driver.edit')}}</button></a>
                                    </div>
                                </div>
                                @endif
                                @if($driver->active == 1)
                                    @if(admin()->hasPermissionTo('Suspend driver'))
                                    <div class="form-group">
                                        <div class="col-md-6 col-xs-6">
                                            <button class="btn btn-primary mb-control suspend" data-toggle="modal" data-target="#message-box-suspend" title="suspend">{{trans('driver.suspend')}}</button>
                                        </div>
                                    </div>
                                    @endif
                                    @if($driver->accept == 0)
                                        @if(admin()->hasPermissionTo('Active driver'))
                                        <div class="form-group">
                                            <div class="col-md-6 col-xs-6">
                                                <button class="btn btn-success mb-control contract" data-toggle="modal" data-target="#message-box-contract" title="Accept">{{trans('driver.accept')}}</button>
                                            </div>
                                        </div>
                                        @endif
                                    @endif
                                @elseif($driver->active == 0)
                                    @if(admin()->hasPermissionTo('Active driver') )
                                    <div class="form-group">
                                        <div class="col-md-6 col-xs-6">
                                            <button class="btn btn-success mb-control activate" data-toggle="modal" data-target="#message-box-active" title="Activate">{{trans('driver.activate')}}</button>
                                        </div>
                                    </div>
                                    @endif
                                @endif
                                @if(admin()->hasPermissionTo('Edit driver'))
                                    @if($profile &&  $profile->name != null || $profile && $profile->email != null || $profile && $profile->phone != null
                                    || $profile && $profile->model != null || $profile && $profile->color != null || $profile && $profile->plat_number != null)
                                        <div class="form-group">
                                            <div class="col-md-6 col-xs-6">
                                                <button class="btn btn-warning mb-control" data-toggle="modal" data-target="#profile" title="Accept updated profile">Profile</button>
                                            </div>
                                        </div>
                                    @endif
                                @endif
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
        @if(count($driver->trips) > 0 )
            <!-- Container-fluid starts-->
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12 col-lg-12 col-xl-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">{{trans('trip.trips')}}</h4>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table">
                                        <thead class="thead-dark">
                                        <tr>
                                            <th>#</th>
                                            <th>{{trans('trip.Type')}}</th>
                                            <th>{{trans('trip.User')}}</th>
                                            <th>{{trans('trip.Status')}}</th>
                                            <th>{{trans('trip.From')}}</th>
                                            <th>{{trans('trip.To')}}</th>
                                            <th>{{trans('trip.Total')}}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @if(count($driver->trips) > 0 )
                                            @foreach($driver->trips as $trip)
                                                <tr>
                                                    <td>
                                                        <a title="View" href="{{route('trips_view',$trip->id)}}">{{$trip->id}}</a>
                                                    </td>
                                                    <td>{{$trip->type}}</td>
                                                    <td>{{$trip->user->name}}</td>
                                                    @if($trip->order_action == 0)
                                                        <td class="font-primary">{{trans('trip.Open')}}</td>
                                                    @elseif($trip->order_action == 1)
                                                        <td class="font-success">{{trans('trip.Completed')}}</td>
                                                    @elseif($trip->order_action == 2)
                                                        <td class="font-danger">{{trans('trip.Canceled')}}</td>
                                                    @endif
                                                    @foreach($trip->tripPath as $path)
                                                        @if ($path->type == 'pick_up' || $path->type == 'where_to')
                                                            <td>{{$path->address}}</td>
                                                        @endif
                                                    @endforeach
                                                    <td>{{$trip->total}}</td>
                                                </tr>
                                            @endforeach
                                        @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Container-fluid Ends-->
        @endif
    </div>

    <div class="modal animated fadeIn" id="message-box-suspend" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-primary">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('user.suspend')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('driver_change_status')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body" style="text-align: @if(request()->segment(1)=='ar')right @else left @endif">
                        <h4>{{trans('user.are_you_sure')}}</h4>
                        <h6>{{trans('driver.you_are_about_to_suspend_driver')}}</h6>

                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                        <button type="submit" class="btn btn-primary">{{trans('user.confirm')}}</button>
                        <button class="btn btn-dark" type="button" data-dismiss="modal">{{trans('user.close')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal animated fadeIn" id="message-box-active" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-success">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('user.activate')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('driver_change_status')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body" style="text-align: @if(request()->segment(1)=='ar')right @else left @endif">
                        <h4>{{trans('user.are_you_sure')}}</h4>
                        <h6>{{trans('driver.you_are_about_to_activate_driver')}}</h6>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                        <button type="submit" class="btn btn-success">{{trans('user.confirm')}}</button>
                        <button class="btn btn-dark" type="button" data-dismiss="modal">{{trans('user.close')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal animated fadeIn" id="message-box-contract" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-success">
                    <h5 class="modal-title" id="exampleModalLabel">{{trans('user.activate')}}</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('driver_accept')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body" style="text-align: @if(request()->segment(1)=='ar')right @else left @endif">
                        <h4>{{trans('user.are_you_sure')}}</h4>
                        <h6>{{trans('driver.you_are_about_to_activate_driver')}}</h6>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                        <button type="submit" class="btn btn-success">{{trans('user.confirm')}}</button>
                        <button class="btn btn-dark" type="button" data-dismiss="modal">{{trans('user.close')}}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal animated fadeInDown" id="profile" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-warning">
                    <h5 class="modal-title" id="exampleModalLabel">Profile</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('accept_profile')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body">
                        <div class="form-group">
                            <label class="form-label">Name</label>
                            <span class="form-control">{{$profile->name}}</span>
                        </div>
                        <div class="form-group">
                            <label class="form-label">Phone</label>
                            <span class="form-control">{{$profile->phone}}</span>
                        </div>
                        <div class="form-group">
                            <label class="form-label">Email</label>
                            <span class="form-control">{{$profile->email}}</span>
                        </div>
                        <div class="form-group">
                            <label class="form-label">Model</label>
                            <span class="form-control">{{$profile->model}}</span>
                        </div>
                        <div class="form-group">
                            <label class="form-label">Color</label>
                            <span class="form-control">{{$profile->color}}</span>
                        </div>
                        <div class="form-group">
                            <label class="form-label">Plat Number</label>
                            <span class="form-control">{{$profile->plat_number}}</span>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                        <button class="btn btn-dark" type="button" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-warning">Confirm</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="http://code.jquery.com/jquery-1.7.1.min.js"></script>


    <script>
        $('.suspend').on('click',function () {
            $('#message-box-suspend').modal('show');
        })
    </script>

    <script>
        $('.contract').on('click',function () {
            $('#message-box-contract').modal('show');
        })
    </script>

    <script>
        $('.activate').on('click',function () {
            $('#message-box-active').modal('show');
        })
    </script>

@endsection
