
<div class="card-body">
    <form class="form-horizontal" action="{{route('trips_search')}}" method="get">
        <div class="form-row">
           <div class="col-md-12 mb-3">
               <label for="validationCustom01" style="float: @if(request()->segment(1)=='ar') right @else left @endif;">{{trans('trip.search_choice')}} : </label>
                <input type="text" class="form-control" name="search" value="{{Session::get('search_results')['search']?: "" }}" placeholder="{{trans('trip.search_with_user')}}" />
           </div>
        </div><br>
        <div class="form-row">
            <div class="col-md-6 mb-3">
                <label for="validationCustom01" style="float: @if(request()->segment(1)=='ar') right @else left @endif;">{{trans('trip.from')}} : </label>
                <input type="date" class="form-control" name="from" value="{{request('from')}}">
            </div>
            <div class="col-md-6 mb-3">
                <label for="validationCustom02" style="float: @if(request()->segment(1)=='ar') right @else left @endif;">{{trans('trip.to')}} : </label>
                <input type="date" class="form-control" name="to" value="{{request('to')}}">
            </div>
        </div>
        <br/>
        <div class="form-row">
            <div class="col-md-6 mb-3">
                <label for="validationCustom02" style="float: @if(request()->segment(1)=='ar') right @else left @endif;">{{trans('trip.status')}} : </label>
                <select class="form-control" name="service_type">
                    <option selected disabled>{{trans('trip.service_type')}}</option>
                    <option value="0">{{trans('trip.Open')}}</option>
                    <option value="1" {{Session::get('search_results')['select_service_type'] == 1 ? 'selected' : ''}}>{{trans('trip.Completed')}}</option>
                    <option value="2" {{Session::get('search_results')['select_service_type'] == 2 ? 'selected' : ''}}>{{trans('trip.Canceled')}}</option>
                    <option value="3" {{Session::get('search_results')['select_service_type'] == 3 ? 'selected' : ''}}>{{trans('trip.Rejected')}}</option>
                </select>
            </div>
            <div class="col-md-2 mb-3" style="margin-top: 3%;">
                <button class="btn btn-primary" style="float: @if(request()->segment(1)=='ar') right @else left @endif;">{{trans('trip.search')}}</button>
            </div>
            <div class="col-md-3 mb-3" style="margin-top: 3%; text-align: center;">
                <a href="{{route('clear_search')}}" class="btn btn-info" style="float: @if(request()->segment(1)=='ar') right @else left @endif;"><i class="fa fa-refresh"></i>  {{trans('trip.clear_session')}}</a>
{{--                <button class="btn btn-info" style="float: @if(request()->segment(1)=='ar') right @else left @endif;"><i class="fa fa-refresh"></i>  {{trans('trip.clear_session')}}</button>--}}
            </div>
        </div>
    </form>
</div>
