<?php
/**
 * Created by PhpStorm.
 * User: Al Mohands
 * Date: 05/09/2019
 * Time: 03:07 م
 */

namespace App\Http\Controllers\Eloquent\Api\Driver;


use App\Http\Controllers\Interface_directory\Api\Driver\HomeRepositoryInterface;
use App\Models\Driver;
use App\Models\DriverCar;
use App\Models\Trip;
use App\Models\TripActiveRequest;
use App\Models\User;
use Carbon\Carbon;

class HomeRepository implements HomeRepositoryInterface
{
    public function home($token,$driver_id)
    {
//        $active_trip = TripActiveRequest::where('driver_id', $driver_id)->where('driver_status',0)->where('time_out','>=',Carbon::now())
//            ->orWhere('driver_status',1)->where('driver_id', $driver_id)->where('arrive',0)
//            ->orWhere('driver_status',1)->where('driver_id', $driver_id)->where('arrive',1)->first();
        $active_trip = TripActiveRequest::where('driver_id', $driver_id)->latest()->first();
        $driver_car = DriverCar::where('driver_id',$driver_id)->first();

        if($active_trip)
        {
            $trip = Trip::where('id',$active_trip->trip_id)->select('id','user_id','order_action','created_at')->first();
            if($trip->order_action == 0)
            {
                if($active_trip->driver_status == 0 && $active_trip->time_out >= Carbon::now()
                    || $active_trip->driver_status == 1 || $active_trip->arrive == 1)
                {
                    $user = User::where('id',$trip->user_id)->select('id','name','rate','image')->first();
                    $user['trip_id'] = $trip->id;
                    $data['trip'] = $user;
                }
            }
            $driver = Driver::where('id',$driver_id)->select('id','jwt','name','email','phone','token','available','country_id','image')->first();
            $driver->token = $token;
            $driver->save();
            $data['driver'] = $driver;
            $data['driver']['model'] = $driver_car->model;
            $data['driver']['color'] = $driver_car->color;
            $data['driver']['plat_number'] = $driver_car->plat_number;

            return $data;
        }else{
            $driver = Driver::where('id',$driver_id)->select('id','jwt','name','email','phone','token','available','country_id','image')->first();
            $driver->token = $token;
            $driver->save();
            $driver['model'] = /*$driver_car->model*/"nissan";
            $driver['color'] = /*$driver_car->color*/ "green";
            $driver['plat_number'] = /*$driver_car->plat_number*/"123asd";
            $data['driver'] = $driver;
            return $data;
        }
    }

    public function updateLocation($input)
    {
        Driver::where('id',$input->driver_id)->update(['lat'=>$input->lat,'lng'=>$input->lng]);
    }
}
