<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Notify extends Model
{
    public static function send($tokens,$type,$message,$title=null,$trip_id=null,$driver_id=null,$user_id=null,$body=null,$sent=null,$created_at=null,$user_image=null,$driver_image=null,$driver_name=null,$total=null)
    {
        $fields = array
        (
            "registration_ids" => $tokens,
            "priority" => 10,
            'data' => [
                'type' => $type,
                'title' => $message,
                'message' => $message,
                'trip_id' => $trip_id,
                'driver_id' => $driver_id,
                'user_id' => $user_id,
                'body' => $body,
                'sent' => $sent,
                'created_at' => $created_at,
                'user_image' => $user_image,
                'driver_image' => $driver_image,
                'driver_name' => $driver_name,
                'total' => $total,
                'sound' => 'default',
            ],
            'notification' => [
                'type' => $type,
                'title' => $message,
                'message' => $message,
                'trip_id' => $trip_id,
                'driver_id' => $driver_id,
                'user_id' => $user_id,
                'body' => $body,
                'sent' => $sent,
                'created_at' => $created_at,
                'user_image' => $user_image,
                'driver_image' => $driver_image,
                'driver_name' => $driver_name,
                'total' => $total,
                'sound' => 'default',
            ],
            'vibrate' => 1,
            'sound' => 1
        );
        $headers = array
        (
            'accept: application/json',
            'Content-Type: application/json',
            'Authorization: key=' .
            'AAAAnxWLYYg:APA91bFVLhIpi3lxVTyK0bbSmMVegD0gvYxVSwR3BU3d3sr1jQ-SGGOL3admw5vA4d_sZQK6g6zN0Q3nSwilL4ePtm5Nk3TTpq1WakeLStmC34zOjxuglSKLW8XoPClcPdBRl9MqHtQF'
            //'AAAAOgzD61Y:APA91bEoZLA48i9FSs78Vd1ZBJz2Zjz2tNRHqM4DiRv1gnV46QZoKy7NpMnV3om7HlxP1kN2MmWqf2c_PhcmUsZbxPaY90V5F8VWQl4NhyrPru0E7ryE4JUjY2gU5Rvs5pzTh-F0zL-y'

        );
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
        $result = curl_exec($ch);
        //dd($result);
        //  var_dump($result);
        if ($result === FALSE) {
            die('Curl failed: ' . curl_error($ch));
        }
        curl_close($ch);

        return $result;
    }
}
