<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RushHourService extends Model
{
    protected $fillable = [
        'car_id','country_id','start','wait','minimum_fare',
        'service_fees','cancel_before_fees','cancel_after_fees'
    ];

    public function country()
    {
        return $this->belongsTo(Country::class);
    }

    public function car()
    {
        return $this->belongsTo(Car::class);
    }
}
