<!DOCTYPE html>
@if(request()->segment(1)=='en')

    <html lang="en" dir="ltr">
    @else
        <html lang="ar" dir="rtl">
        @endif

        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta name="description"
                  content="endless admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
            <meta name="keywords"
                  content="admin template, endless admin template, dashboard template, flat admin template, responsive admin template, web app">
            <meta name="author" content="pixelstrap">
            <link rel="icon" href="{{asset('admin/assets/images/logo.png')}}" type="image/x-icon">
            <link rel="shortcut icon" href="{{asset('admin/assets/images/logo.png')}}" type="image/x-icon">
            <title>Q Drivers</title>
            <!-- Google font-->
            <link href="https://fonts.googleapis.com/css?family=Work+Sans:100,200,300,400,500,600,700,800,900"
                  rel="stylesheet">
            <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
                  rel="stylesheet">
            <link href="https://fonts.googleapis.com/css?family=Poppins:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i"
                  rel="stylesheet">
            <!-- Font Awesome-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/fontawesome.css')}}">
            <!-- ico-font-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/icofont.css')}}">
            <!-- Themify icon-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/themify.css')}}">
            <!-- Flag icon-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/flag-icon.css')}}">
            <!-- Feather icon-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/feather-icon.css')}}">
            <!-- Plugins css start-->
            {{--<link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/chartist.css')}}">--}}
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/date-picker.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/owlcarousel.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/prism.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/whether-icon.css')}}">
            <!-- Plugins css Ends-->
            <!-- Bootstrap css-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/bootstrap.css')}}">
            <!-- App css-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/style.css')}}">
            <link rel="stylesheet" href="{{asset('admin/assets/css/light-1.css')}}" media="screen">
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/summernote.css')}}">
            <!-- Responsive css-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/responsive.css')}}">

            <!-- Plugins css start-->
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/datatables.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/datatable-extension.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/animate.css')}}">
            <link rel="stylesheet" type="text/css" href="{{asset('admin/assets/css/photoswipe.css')}}">
            <link rel="stylesheet" type="text/css" href="{{ url('admin/assets/css/select2.css') }}">
            <link rel="stylesheet" href="{{ url('admin/assets/css/sweetalert.css') }}">
            <!-- Plugins css Ends-->
            @yield('styles')

        </head>

        @if(request()->segment(1)=='ar')
            <body main-theme-layout="rtl">

            @else
                <body>

                @endif

                <!-- Loader starts-->
                <div class="loader-wrapper">
                    <div class="loader bg-white">
                        <div class="whirly-loader"></div>
                    </div>
                </div>
                <!-- Loader ends-->
                <!-- page-wrapper Start-->
                <div class="page-wrapper">
                    <!-- Page Header Start-->
                    <div class="page-main-header">
                        <div class="main-header-right row">
                            <div class="main-header-left d-lg-none">
                                {{--                <div class="logo-wrapper"><a href="{{route('dashboard')}}"><img src="{{asset('admin/assets/images/logo-12.png')}}" alt=""></a></div>--}}
                                {{--<div class="logo-wrapper"><a href="{{route('dashboard')}}"><img src="{{asset('admin/assets/images/logo-12.png')}}" alt=""></a></div>--}}
                            </div>
                            <div class="mobile-sidebar d-block">
                                <div class="media-body text-right switch-sm">
                                    <label class="switch"><a href="#"><i id="sidebar-toggle"
                                                                         data-feather="align-left"></i></a></label>
                                </div>
                            </div>
                            <div class="nav-right col p-0">
                                <ul class="nav-menus">
                                    <li>
                                        {{--<form class="form-inline search-form" action="#" method="get">--}}
                                        {{--<div class="form-group">--}}
                                        {{--<div class="Typeahead Typeahead--twitterUsers">--}}
                                        {{--<div class="u-posRelative">--}}
                                        {{--<input class="Typeahead-input form-control-plaintext" id="demo-input" type="text" name="q" placeholder="Search...">--}}
                                        {{--<div class="spinner-border Typeahead-spinner" role="status"><span class="sr-only">Loading...</span></div><span class="d-sm-none mobile-search"><i data-feather="search"></i></span>--}}
                                        {{--</div>--}}
                                        {{--<div class="Typeahead-menu"></div>--}}
                                        {{--</div>--}}
                                        {{--</div>--}}
                                        {{--</form>--}}
                                    </li>
                                    {{--<li class="onhover-dropdown"><i data-feather="bell"></i><span class="dot"></span>--}}
                                    {{--<ul class="notification-dropdown onhover-show-div">--}}
                                    {{--<li>Notification <span class="badge badge-pill badge-primary pull-right">3</span></li>--}}
                                    {{--<li>--}}
                                    {{--<div class="media">--}}
                                    {{--<div class="media-body">--}}
                                    {{--<h6 class="mt-0"><span><i class="shopping-color" data-feather="shopping-bag"></i></span>Your order ready for Ship..!<small class="pull-right">9:00 AM</small></h6>--}}
                                    {{--<p class="mb-0">Lorem ipsum dolor sit amet, consectetuer.</p>--}}
                                    {{--</div>--}}
                                    {{--</div>--}}
                                    {{--</li>--}}
                                    {{--<li>--}}
                                    {{--<div class="media">--}}
                                    {{--<div class="media-body">--}}
                                    {{--<h6 class="mt-0 txt-success"><span><i class="download-color font-success" data-feather="download"></i></span>Download Complete<small class="pull-right">2:30 PM</small></h6>--}}
                                    {{--<p class="mb-0">Lorem ipsum dolor sit amet, consectetuer.</p>--}}
                                    {{--</div>--}}
                                    {{--</div>--}}
                                    {{--</li>--}}
                                    {{--<li>--}}
                                    {{--<div class="media">--}}
                                    {{--<div class="media-body">--}}
                                    {{--<h6 class="mt-0 txt-danger"><span><i class="alert-color font-danger" data-feather="alert-circle"></i></span>250 MB trash files<small class="pull-right">5:00 PM</small></h6>--}}
                                    {{--<p class="mb-0">Lorem ipsum dolor sit amet, consectetuer.</p>--}}
                                    {{--</div>--}}
                                    {{--</div>--}}
                                    {{--</li>--}}
                                    {{--<li class="bg-light txt-dark"><a href="index.html#">All</a> notification</li>--}}
                                    {{--</ul>--}}
                                    {{--</li>--}}
                                    {{--<li><a href="index.html#"><i class="right_side_toggle" data-feather="message-circle"></i><span class="dot"></span></a></li>--}}
                                    <li class="onhover-dropdown"><a class="txt-dark" href="#" data-original-title=""
                                                                    title="">
                                            <h6>EN</h6></a>
                                        <ul class="language-dropdown onhover-show-div p-20">
                                            @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
                                                <li>
                                                    <a rel="alternate" hreflang="{{ $localeCode }}"
                                                       href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}"
                                                       data-lng="en" data-original-title="" title=""><i
                                                                class="flag-icon"></i> {{ $properties['native'] }}
                                                    </a>
                                                </li>
                                            @endforeach

                                        </ul>
                                    </li>

                                    <li class="onhover-dropdown">
                                        <div class="media align-items-center"><img
                                                    class="align-self-center pull-right img-50 rounded-circle"
                                                    src="{{admin()->image}}" alt="header-user">
                                            <div class="dotted-animation"><span class="animate-circle"></span><span
                                                        class="main-circle"></span></div>
                                        </div>
                                        <ul class="profile-dropdown onhover-show-div p-20">
                                            {{--<li><a href="/admin/edit"><i data-feather="user"></i>                                    Edit Profile</a></li>--}}
                                            {{--<li><a href="index.html#"><i data-feather="mail"></i>                                    Inbox</a></li>--}}
                                            {{--<li><a href="index.html#"><i data-feather="lock"></i>                                    Lock Screen</a></li>--}}
                                            {{--<li><a href="index.html#"><i data-feather="settings"></i>                                    Settings</a></li>--}}
                                            <li><a href="{{route('logout')}}"><i
                                                            data-feather="log-out"></i> {{trans('dashboard.logout')}}
                                                </a></li>
                                        </ul>
                                    </li>

                                </ul>
                                <div class="d-lg-none mobile-toggle pull-right"><i data-feather="more-horizontal"></i>
                                </div>
                            </div>
                            <script id="result-template" type="text/x-handlebars-template">
                                <div class="ProfileCard u-cf">
                                    <div class="ProfileCard-avatar">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                             viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                             stroke-linecap="round" stroke-linejoin="round"
                                             class="feather feather-airplay m-0">
                                            <path d="M5 17H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2h-1"></path>
                                            <polygon points="12 15 17 21 7 21 12 15"></polygon>
                                        </svg>
                                    </div>
                                    <div class="ProfileCard-details">
                                        <div class="ProfileCard-realName"></div>
                                    </div>
                                </div>
                            </script>
                            <script id="empty-template" type="text/x-handlebars-template">
                                <div class="EmptyMessage">Your search turned up 0 results. This most likely means the
                                    backend is down, yikes!
                                </div>

                            </script>
                        </div>
                    </div>
                    <!-- Page Header Ends                              -->
                    <!-- Page Body Start-->
                    <div class="page-body-wrapper">
                        <!-- Page Sidebar Start-->
                        <div class="page-sidebar">
                            {{--<div class="main-header-left d-none d-lg-block">--}}
                            {{--                <div class="logo-wrapper"><a href="/admin/dashboard"><img src="{{asset('admin/assets/images/logo.png')}}" alt=""></a></div>--}}
                            {{--<a href="{{route('dashboard')}}">--}}
                            {{--<li class="xnn-logo">--}}
                            {{--Q Drivers--}}
                            {{--</li>--}}
                            {{--</a>--}}
                            {{--</div>--}}
                            <div class="sidebar custom-scrollbar">
                                <div class="sidebar-user text-center">
                                    <div><img class="img-60 rounded-circle" src="{{admin()->image}}" alt="#">
                                        {{--<div class="profile-edit"><a href="edit-profile.html" target="_blank"><i data-feather="edit"></i></a></div>--}}
                                    </div>
                                    <h6 class="mt-3 f-14">{{admin()->name}}</h6>
                                    <p>{{trans('dashboard.general_manager')}}</p>
                                </div>
                                <ul class="sidebar-menu">
                                    @if(admin()->hasPermissionTo('View user'))
                                        <li><a class="sidebar-header" href="#"><i
                                                        data-feather="users"></i><span>{{trans('dashboard.users')}}</span><i
                                                        class="fa fa-angle-right pull-right"></i></a>
                                            <ul class="sidebar-submenu">
                                                <li><a href="
                            @if(request()->segment(1)=='en')

                                                            /en/admin/users/type/active
@else
                                                            /ar/admin/users/type/active
@endif
                                                            "><i class="fa fa-circle"></i>{{trans('dashboard.active')}}
                                                    </a></li>
                                                <li><a href=" @if(request()->segment(1)=='en')

                                                            /en/admin/users/type/suspended
@else
                                                            /ar/admin/users/type/suspended
@endif
                                                            "><i
                                                                class="fa fa-circle"></i>{{trans('dashboard.suspended')}}
                                                    </a></li>
                                            </ul>
                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View driver'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('driver.index')}}">
                                                <i data-feather="truck"></i>
                                                <span>{{trans('dashboard.drivers')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                        @if(admin()->hasPermissionTo('View driver'))
                                            <li>
                                                <a class="sidebar-header" href="{{route('driversNotAccepted')}}">
                                                    <i data-feather="truck"></i>
                                                    <span>{{trans('dashboard.driversRequests')}} </span>
                                                    <i class="fa fa-angle-right pull-right"></i>
                                                </a>

                                            </li>
                                        @endif

                                    @if(admin()->hasPermissionTo('View admins'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('admins.index')}}">
                                                <i data-feather="command"></i>
                                                <span>{{trans('dashboard.admins')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                        @if(admin()->hasRole('Super Admin'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('partner_requests')}}">
                                                <i data-feather="shopping-cart"></i>
                                                <span>{{trans('dashboard.partner_requests')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View trips'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('trips')}}">
                                                <i data-feather="shopping-cart"></i>
                                                <span>{{trans('dashboard.trips')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View trips'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('map')}}">
                                                <i data-feather="map"></i>
                                                <span>{{trans('dashboard.map')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View service'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('service.car')}}">
                                                <i data-feather="dollar-sign"></i>
                                                <span>{{trans('dashboard.service_fees')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                        <li>
                                            <a class="sidebar-header" href="{{route('rush.service.car')}}">
                                                <i data-feather="dollar-sign"></i>
                                                <span>{{trans('dashboard.rush_service_fees')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                        <li>
                                            <a class="sidebar-header" href="{{route('rush.period.car')}}">
                                                <i data-feather="dollar-sign"></i>
                                                <span>{{trans('dashboard.rush_period')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View cars'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('cars')}}">
                                                <i data-feather="chrome"></i>
                                                <span>{{trans('dashboard.cars')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View country'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('countries')}}">
                                                <i data-feather="target"></i>
                                                <span>{{trans('dashboard.countries')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View country'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('cities')}}">
                                                <i data-feather="target"></i>
                                                <span>{{trans('dashboard.cities')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View promo'))
                                        <li>
                                            <a class="sidebar-header" href="{{route('promos')}}">
                                                <i data-feather="gift"></i>
                                                <span>{{trans('dashboard.promos')}} </span>
                                                <i class="fa fa-angle-right pull-right"></i>
                                            </a>

                                        </li>
                                    @endif

                                    @if(admin()->hasPermissionTo('View settings'))
                                        <li><a class="sidebar-header" href="#"><i
                                                        data-feather="users"></i><span>{{trans('dashboard.settings')}}</span><i
                                                        class="fa fa-angle-right pull-right"></i></a>
                                            <ul class="sidebar-submenu">
                                                <li><a href="{{route('privacy_policy')}}"><i
                                                                class="fa fa-circle"></i>{{trans('settings.privacypolicy')}}
                                                    </a></li>
                                            </ul>
                                        </li>
                                    @endif
                                        @if(admin()->hasRole('Super Admin'))

                                        <li @if(request()->segment(3) == 'notifications') class="open" @endif><a
                                                class="sidebar-header" href="#"><i
                                                    data-feather="message-square"></i><span>{{trans('notification.notifications')}}</span><i
                                                    class="fa fa-angle-right pull-right"></i></a>
                                        <ul class="sidebar-submenu @if(request()->segment(3) == 'notifications') open @endif">
                                            <li><a @if(request()->segment(3) == 'notifications') style="color: white;"
                                                   @endif class="sidebar-header"
                                                   href="{{route('admin.notifications')}}"><i
                                                            data-feather="message-circle"></i><span> {{trans('notification.sent_box')}}</span></a>
                                            </li>
                                            <li><a @if(request()->segment(3) == 'notifications') style="color: white;"
                                                   @endif class="sidebar-header"
                                                   href="{{route('admin.notifications.send')}}"><i
                                                            data-feather="send"></i><span> {{trans('notification.send_notify')}}</span></a>
                                            </li>
                                        </ul>

                                        </li>
                                        @endif


                                </ul>
                            </div>
                        </div>
                        <!-- Page Sidebar Ends-->

                        @yield('content')


                    </div>
                </div>
                <!-- END MESSAGE BOX-->
                <!-- latest jquery-->
                <script src="{{asset('admin/assets/js/jquery-3.2.1.min.js')}}"></script>
                <!-- Bootstrap js-->
                <script src="{{asset('admin/assets/js/bootstrap/popper.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/bootstrap/bootstrap.js')}}"></script>
                <!-- feather icon js-->
                <script src="{{asset('admin/assets/js/icons/feather-icon/feather.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/icons/feather-icon/feather-icon.js')}}"></script>
                <!-- Sidebar jquery-->
                <script src="{{asset('admin/assets/js/sidebar-menu.js')}}"></script>
                <script src="{{asset('admin/assets/js/config.js')}}"></script>
                <!-- Plugins JS start-->
                <script src="{{asset('admin/assets/js/datatable/datatables/jquery.dataTables.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.buttons.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/jszip.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/buttons.colVis.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/pdfmake.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/vfs_fonts.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.autoFill.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.select.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/buttons.bootstrap4.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/buttons.html5.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/buttons.print.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.bootstrap4.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.responsive.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/responsive.bootstrap4.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.keyTable.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.colReorder.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.fixedHeader.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.rowReorder.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/dataTables.scroller.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/datatable/datatable-extension/custom.js')}}"></script>


                {{--<script src="{{asset('admin/assets/js/chart/chartist/chartist.js')}}"></script>--}}
                {{--<script src="{{asset('admin/assets/js/chart/knob/knob.min.js')}}"></script>--}}
                {{--<script src="{{asset('admin/assets/js/chart/knob/knob-chart.js')}}"></script>--}}
                <script src="{{asset('admin/assets/js/prism/prism.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/clipboard/clipboard.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/counter/jquery.waypoints.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/counter/jquery.counterup.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/counter/counter-custom.js')}}"></script>
                <script src="{{asset('admin/assets/js/custom-card/custom-card.js')}}"></script>
                <script src="{{asset('admin/assets/js/owlcarousel/owl.carousel.js')}}"></script>
                <script src="{{asset('admin/assets/js/datepicker/date-picker/datepicker.js')}}"></script>
                <script src="{{asset('admin/assets/js/datepicker/date-picker/datepicker.en.js')}}"></script>
                <script src="{{asset('admin/assets/js/datepicker/date-picker/datepicker.custom.js')}}"></script>
                <script src="{{asset('admin/assets/js/notify/bootstrap-notify.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/dashboard/default.js')}}"></script>
                <script src="{{asset('admin/assets/js/notify/index.js')}}"></script>
                {{--<script src="{{asset('admin/assets/js/typeahead/handlebars.js')}}"></script>--}}
                {{--<script src="{{asset('admin/assets/js/typeahead/typeahead.bundle.js')}}"></script>--}}
                {{--<script src="{{asset('admin/assets/js/typeahead/typeahead.custom.js')}}"></script>--}}
                <script src="{{asset('admin/assets/js/chat-menu.js')}}"></script>
                <script src="{{asset('admin/assets/js/general-widget.js')}}"></script>
                <script src="{{asset('admin/assets/js/height-equal.js')}}"></script>
                <script src="{{asset('admin/assets/js/tooltip-init.js')}}"></script>
                <script src="{{asset('admin/assets/js/editor/summernote/summernote.js')}}"></script>
                <script src="{{asset('admin/assets/js/editor/summernote/summernote.custom.js')}}"></script>
                {{--<script src="{{asset('admin/assets/js/typeahead-search/handlebars.js')}}"></script>--}}
                {{--<script src="{{asset('admin/assets/js/typeahead-search/typeahead-custom.js')}}"></script>--}}
                <!-- Plugins JS Ends-->
                <!-- Theme js-->
                <script src="{{asset('admin/assets/js/script.js')}}"></script>
                {{--<script src="{{asset('admin/assets/js/theme-customizer/customizer.js')}}"></script>--}}
                <script src="{{asset('admin/assets/js/isotope.pkgd.js')}}"></script>
                <script src="{{asset('admin/assets/js/photoswipe/photoswipe.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/photoswipe/photoswipe-ui-default.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/photoswipe/photoswipe.js')}}"></script>
                <script src="{{asset('admin/assets/js/animation/wow/wow.min.js')}}"></script>
                <script src="{{asset('admin/assets/js/animation/wow/wow-init.js')}}"></script>

                <script src="{{ url('admin/assets/js/select2/select2.full.min.js') }}"></script>
                <script src="{{ url('admin/assets/js/select2/select2-custom.js') }}"></script>
                <script src="{{ url('admin/assets/js/form-validation-custom.js') }}"></script>
                <script src="{{ url('admin/assets/js/sweet-alert/sweetalert.min.js') }}"></script>
                <!-- Plugin used-->
                <script
                        src="https://cdn.rtlcss.com/bootstrap/v4.2.1/js/bootstrap.min.js"
                        integrity="sha384-a9xOd0rz8w0J8zqj1qJic7GPFfyMfoiuDjC9rqXlVOcGO/dmRqzMn34gZYDTel8k"
                        crossorigin="anonymous"></script>

                @yield('scripts')
                </body>
        </html>
