               @extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('servicecar.service')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('servicecar.serviceforcars')}}</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                      
                <form class="form-horizontal" method="post" action="{{route('rush.service.car.update',$service->id)}}">
                    {{csrf_field()}}
                    @method('patch')
                    <div class="modal-body">
                    <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Country')}}</label>

                        <select class="form-control field" data-type="select" id="type" name="country_id">
                            @foreach($countries as $country)
                            <option value="{{$country->id}}" @if($country->id==$service->country_id) selected @endif>{{$country->name}}</option>
                            @endforeach
                        </select><br>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Start')}}</label>
                            <div class="col-lg-12">
                                <input name="start" type="text" placeholder="Start" value="{{$service->start}}" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.Wait')}}</label>
                            <div class="col-lg-12">
                                <input  name="wait" value="{{$service->wait}}" type="text" placeholder="Wait" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="textinput">{{trans('servicecar.MinimumFare')}}</label>
                            <div class="col-lg-12">
                                <input name="minimum_fare" value="{{$service->minimum_fare}}" type="text" placeholder="Minumum Fare" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.service_fees')}}</label>
                            <div class="col-lg-12">
                                <input name="service_fees" value="{{$service->service_fees}}" type="text" placeholder="Service Fees" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.CancelBeforeFees')}}</label>
                            <div class="col-lg-12">
                                <input name="cancel_before_fees"  value="{{$service->cancel_before_fees}}" type="text" placeholder="Cancel Before Fees" class="form-control btn-square" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-@if(request()->segment(1)=='ar')right
                                                                            @else
                                                                            left
                                                                            @endif" for="passwordinput">{{trans('servicecar.CancelAfterFees')}}</label>
                            <div class="col-lg-12">
                                <input  name="cancel_after_fees" value="{{$service->cancel_after_fees}}" type="text" placeholder="Cancel After Fees" class="form-control btn-square" required>
                            </div>
                        </div>



                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">{{trans('servicecar.close')}}</button>
                        <button class="btn btn-primary">{{trans('servicecar.save')}}</button>
                    </div>
                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

               
@endsection
