@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>{{trans('settings.settings')}}</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">{{trans('settings.settings')}}</li>
                                <li class="breadcrumb-item active">{{trans('settings.privacypolicy')}}</li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">{{trans('settings.textInE')}}</th>
                                        <th scope="col">{{trans('settings.textInArabic')}}</th>
                                        <th scope="col">{{trans('settings.operations')}}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td>{{$setting[1]->name}}</td>
                                        <td>{{$setting[0]->name}}</td>
                                        <td>
                                            <a href="
                                              @if(request()->segment(1)=='en')

/en/admin/settings/privacy_policy/edit
  @else
/ar/admin/settings/privacy_policy/edit
@endif
                           
                                            
                                            " title="{{trans('admin.edit')}}" class="btn btn-dark btn-condensed"><i class="fa fa-edit"></i></a>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

@endsection
